Bug 1412569

Summary: Upstream bug in root 6.08/2
Product: [Fedora] Fedora EPEL Reporter: Mark Cooke <m.p.cooke>
Component: rootAssignee: Mattias Ellert <mattias.ellert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: mattias.ellert, steve.traylen
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: root-6.08.04-1.fc25 root-6.08.04-1.fc24 root-6.08.04-1.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-24 23:20:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mark Cooke 2017-01-12 10:28:48 UTC
Description of problem:

WaitPrimitive() fails in the 6.08/2 release of ROOT.

Version-Release number of selected component (if applicable):

6.08.02-1

How reproducible:

100%

https://root.cern.ch/phpBB3/viewtopic.php?f=3&t=22957%20%3C


Steps to Reproduce:
1. Download the example ROOT macro from the link above

Actual results:

Both histograms are shown

Expected results:

First histogram is shown, and second histogram is shown later.

Additional info:

The fix for this is in the ROOT master branch.

Comment 1 Fedora Update System 2017-01-16 09:30:04 UTC
root-6.08.04-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d262290209

Comment 2 Fedora Update System 2017-01-16 09:30:16 UTC
root-6.08.04-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4aa1ced428

Comment 3 Fedora Update System 2017-01-16 09:30:24 UTC
root-6.08.04-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-31d707f653

Comment 4 Fedora Update System 2017-01-16 21:21:57 UTC
root-6.08.04-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-31d707f653

Comment 5 Fedora Update System 2017-01-16 22:22:58 UTC
root-6.08.04-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4aa1ced428

Comment 6 Fedora Update System 2017-01-16 22:23:38 UTC
root-6.08.04-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d262290209

Comment 7 Mark Cooke 2017-01-17 09:54:16 UTC
Confirming that 6.08.04-1 has resolved the WaitPrimitive() issue first reported.

Tested using the EPEL7 build.

Thank you!

Comment 8 Fedora Update System 2017-01-24 23:20:22 UTC
root-6.08.04-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-01-25 00:21:21 UTC
root-6.08.04-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-31 18:18:08 UTC
root-6.08.04-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.